unit uPedidosClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorPedidosCliente, uEditorPedidoCliente, uEditorElegirPedidosCliente,
  uEditorElegirArticulosPedidoCliente, uEditorPedidosClienteReport, uEditorArticulosPendientes; // uDialogListaPedidosCliEnvioEMail;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorArticulosPendientes, 'EditorArticulosPendientes');
  EditorRegistry.RegisterClass(TfEditorPedidosCliente, 'EditorPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorPedidoCliente, 'EditorPedidoCliente');
  EditorRegistry.RegisterClass(TfEditorElegirPedidosCliente, 'EditorElegirPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosPedidoCliente, 'EditorElegirArticulosPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorPedidosClientePreview, 'EditorPedidosClientePreview');
//  EditorRegistry.RegisterClass(TfDialogListaPedidosCliEnvioEMail, 'DialogListaPedidosCliEnvioEMail');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorArticulosPendientes);
  EditorRegistry.UnRegisterClass(TfEditorPedidosCliente);
  EditorRegistry.UnRegisterClass(TfEditorPedidoCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirPedidosCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosPedidoCliente);
  EditorRegistry.UnRegisterClass(TfEditorPedidosClientePreview);
//  EditorRegistry.UnRegisterClass(TfDialogListaPedidosCliEnvioEMail);
end;

end.

